WinShopAPI docs
ReferenceDocumentsOrdersInternal

Add items to a internal order

Appends the items in the body to an existing internal order and recalculates the document totals. Requires `Permissions.OrderInternal.Create`.

POST
/api/documents/orders/internal/{documentId}/items

Authorization

Bearer
headerAuthorizationBearer <token>

OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.

Path Parameters

documentId*integer
Formatint32

Request Body

application/json
  1. body
[index: integer]?

Response Body

response?unknownapplication/octet-stream
curl -X POST 'https://<your-instance>/api/documents/orders/internal/0/items' \  -H 'Authorization: Bearer <access-token>' \  -H 'Content-Type: application/json' \  -d '[  {    "productId": 5,    "quantityReceived": 1,    "unitIdReceived": 5,    "vatRate": 21  }]'
null